#ifndef QQSETTINGSPARAMS_H
#define QQSETTINGSPARAMS_H

#include "core/qqtypes.h"

#include <QtGlobal>

#define APP_NAME "quteqoin"
#define NOTIF_APP_NAME "QuteQoin"

#ifndef GIT_VERSION
GIT_VERSION "undefined"
#endif

#define MAX_CACHE_AGE_DAYS 60

#define SETTINGS_TOTOZ_PRESETS_PATH ":/totoz"
#define SETTINGS_EMOJI_LIST_FILE SETTINGS_TOTOZ_PRESETS_PATH "/emojis"

// MAIN WINDOW
#define SETTINGS_MAINWINDOW_STATE "mainwindow_state"
#define SETTINGS_MAINWINDOW_GEOMETRY "mainwindow_geometry"

// GENERAL
#define SETTINGS_GENERAL_MAX_HISTLEN "max_hist_len"
#define DEFAULT_GENERAL_MAX_HISTLEN 500

#define SETTINGS_GENERAL_DEFAULT_UA "default_ua"
#define DEFAULT_GENERAL_DEFAULT_UA APP_NAME "/" GIT_VERSION

#define SETTINGS_GENERAL_WEBSEARCH_URL "default_websearch_url"
#define DEFAULT_GENERAL_WEBSEARCH_URL "http://www.google.fr/search?q=%s&ie=utf-8&oe=utf-8"

#define SETTINGS_GENERAL_DEFAULT_FONT "default_font"
#define DEFAULT_GENERAL_DEFAULT_FONT QFont().toString()

#define SETTINGS_GENERAL_HIGHLIGHT_COLOR "highlight_color"
#define DEFAULT_GENERAL_HIGHLIGHT_COLOR "#FFE940"

#define SETTINGS_GENERAL_STEALTH_MODE "stealth_mode"
#define DEFAULT_GENERAL_STEALTH_MODE false

#define SETTINGS_GENERAL_PINI_MODE "pini_mode"
#define PINI_TABBED_MODE "tabbed"
#define PINI_FLOW_MODE "flow"
#define SETTINGS_GENERAL_PINI_MODES (QStringList() << PINI_TABBED_MODE << PINI_FLOW_MODE)
#define DEFAULT_GENERAL_PINI_MODE PINI_TABBED_MODE
#define SETTINGS_GENERAL_PINI_ASCII_LOGIN "ascii_login"
#define DEFAULT_GENERAL_PINI_ASCII_LOGIN false

// TOTOZ
#define TOTOZ_BOOKMARKS_FILE "totozBookmarks"

//Temporaire
#define SETTINGS_TOTOZ_BOOKMARKLIST "totoz_bookmarklist"

#define SETTINGS_TOTOZ_SERVER_URL "totoz_server_url"
#define DEFAULT_TOTOZ_SERVER_URL "http://totoz.eu"

#define SETTINGS_TOTOZ_SERVER_BASE_IMG "totoz_server_base_img"
#define DEFAULT_TOTOZ_SERVER_BASE_IMG "img"

#define SETTINGS_TOTOZ_SERVER_NAME_SUFFIX "totoz_server_name_suffix"
#define DEFAULT_TOTOZ_SERVER_NAME_SUFFIX ""

#define SETTINGS_TOTOZ_SERVER_ALLOW_SEARCH "totoz_serveur_allow_search"
#define DEFAULT_TOTOZ_SERVER_ALLOW_SEARCH true

#define SETTINGS_TOTOZ_SERVER_QUERY_PATTERN "totoz_query_pattern"
#define DEFAULT_TOTOZ_SERVER_QUERY_PATTERN "search.xml?terms=%t&offset=%o"

#define SETTINGS_TOTOZ_VISUAL_MODE "totoz_visual_mode"
#define TOTOZ_VISUAL_MODE_DISABLED "Disabled"
#define TOTOZ_VISUAL_MODE_INLINE "Inline"
#define TOTOZ_VISUAL_MODE_ON_HOVER "On hover"
//#define DEFAULT_TOTOZ_VISUAL_MODES (QStringList() << TOTOZ_VISUAL_MODE_DISABLED << TOTOZ_VISUAL_MODE_INLINE << TOTOZ_VISUAL_MODE_ON_HOVER)
#define DEFAULT_TOTOZ_VISUAL_MODES (QStringList() << TOTOZ_VISUAL_MODE_DISABLED << TOTOZ_VISUAL_MODE_ON_HOVER)
#define DEFAULT_TOTOZ_VISUAL_MODE TOTOZ_VISUAL_MODE_ON_HOVER

#ifdef Q_OS_UNIX
#define SETTINGS_BIGORNOTIFY_ENABLED "bigornotify_enabled"
#define DEFAULT_BIGORNOTIFY_ENABLED true
#endif

#define SETTINGS_WEB_IMAGE_VIEWER_ENABLED "web_image_viewer_enabled"
#define DEFAULT_WEB_IMAGE_VIEWER_ENABLED true

#define SETTINGS_WEB_IMAGE_PREVIEW_SIZE "web_image_preview_size"
#define DEFAULT_WEB_IMAGE_PREVIEW_SIZE 100

// BOUCHOTS
#define BOUCHOTS_SPLIT_CHAR ';'

#define SETTINGS_LIST_BOUCHOTS "bouchots"

#define SETTINGS_BOUCHOT_COLOR "color"
#define SETTINGS_BOUCHOT_ALIASES "aliases"
#define SETTINGS_BOUCHOT_REFRESH "refresh"
#define DEFAULT_BOUCHOT_REFRESH 30
#define SETTINGS_BOUCHOT_LOGIN "login"
#define SETTINGS_BOUCHOT_COOKIES "cookies"
#define SETTINGS_BOUCHOT_UA "ua"
#define SETTINGS_BOUCHOT_BACKENDURL "backendUrl"
#define SETTINGS_BOUCHOT_POSTURL "postUrl"
#define SETTINGS_BOUCHOT_POSTDATA "postData"
#define SETTINGS_BOUCHOT_GROUP "group"
#define SETTINGS_BOUCHOT_SLIPTYPE "slipType"
#define SETTINGS_BOUCHOT_STRICTHTTPSCERTIF "strictHttpsCertif"

// PALMI
#define SETTINGS_PALMI_MINI "palmi_minimized"
#define DEFAULT_PALMI_MINI false
#define SETTINGS_PALMI_DOCKED "palmi_docked"
#define DEFAULT_PALMI_DOCKED false
#define SETTINGS_FILE_SHARING_SERVICE "file_sharing_service"
#define FILE_SHARING_SERVICE_UP_Y_FR (QString::fromUtf8("up.ÿ.fr"))
#define FILE_SHARING_SERVICE_JIRAFEAU_3TER_ORG "upload.3ter.org"
#define DEFAULT_FILE_SHARING_SERVICES (QStringList() << FILE_SHARING_SERVICE_UP_Y_FR << FILE_SHARING_SERVICE_JIRAFEAU_3TER_ORG)
#define DEFAULT_FILE_SHARING_SERVICE FILE_SHARING_SERVICE_JIRAFEAU_3TER_ORG
#define SETTINGS_PALMI_SHORCUTS "palmi_shortcuts"
#define SETTINGS_PALMI_SHORTCUTS_MIN_KEY Qt::Key_Space
#define SETTINGS_PALMI_SHORTCUTS_MAX_KEY Qt::Key_AsciiTilde

// FILTERS
#define SETTINGS_FILTER_SMART_URL_TRANSFORMER "filter_smart_url_transformer"
#define DEFAULT_FILTER_SMART_URL_TRANSFORMER true

#define SETTINGS_FILTER_SMART_URL_TRANSFORM_TYPE "filter_smart_url_transform_type"
#define DEFAULT_FILTER_SMART_URL_TRANSFORM_TYPE QuteQoin::Shorter

// HUNT
#define SETTINGS_HUNT_MODE "hunt_mode"
#define DEFAULT_HUNT_MODE QuteQoin::HuntMode_Manual

#define SETTINGS_SL_HUNT_MODE "sl_hunt_mode"
#define DEFAULT_SL_HUNT_MODE QuteQoin::SLHuntMode_Disabled

#define SETTINGS_HUNT_SILENT_ENABLED "hunt_silent_enabled"
#define DEFAULT_HUNT_SILENT_ENABLED false

#define SETTINGS_HUNT_MAX_ITEMS "hunt_max_items"
#define DEFAULT_HUNT_MAX_ITEMS 5

//NETWORK
#define SETTINGS_NETWORK_MODE "network_mode"
#define SETTINGS_NETWORK_MODE_DIRECT "direct"
#define SETTINGS_NETWORK_MODE_SYSTEM "system"
#define SETTINGS_NETWORK_MODE_MANUAL "manual"
#define SETTINGS_NETWORK_MODES (QStringList() << SETTINGS_NETWORK_MODE_DIRECT << SETTINGS_NETWORK_MODE_SYSTEM << SETTINGS_NETWORK_MODE_MANUAL)
#define DEFAULT_NETWORK_MODE SETTINGS_NETWORK_MODE_SYSTEM
#define SETTINGS_NETWORK_PROXY_IS_HTTP "http_proxy"
#define DEFAULT_NETWORK_PROXY_IS_HTTP true
#define SETTINGS_NETWORK_PROXY_HOST "proxy_host"
#define DEFAULT_NETWORK_PROXY_HOST ""
#define SETTINGS_NETWORK_PROXY_PORT "http_proxy_port"
#define DEFAULT_NETWORK_PROXY_PORT ""


#endif // QQSETTINGSPARAMS_H
